# MSP::CCS::UPS Class Reference

`#include <UPS.h>`

Inheritance diagram for MSP::CCS::UPS:

List of all members.

## Public Member Functions

| UPS (double ellipsoidSemiMajorAxis, double ellipsoidFlattening)
| UPS (const UPS &u)
| ~UPS (void)
UPS & | operator= (const UPS &u)
MSP::CCS::UPSCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::UPSCoordinates *upsCoordinates)

## Detailed Description

Definition at line 103 of file UPS.h.

## Constructor & Destructor Documentation

UPS::UPS | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening |
| ) |  |  |

polarStereographicMap['N'] = new PolarStereographic(semiMajorAxis, flattening, UPS_Origin_Longitude, UPS_Origin_Latitude, UPS_False_Easting, UPS_False_Northing); polarStereographicMap['S'] = new PolarStereographic(semiMajorAxis, flattening, UPS_Origin_Longitude, -UPS_Origin_Latitude, UPS_False_Easting, UPS_False_Northing);

Definition at line 137 of file UPS.cpp.

UPS::UPS | ( | const UPS & | u | ) |

Definition at line 175 of file UPS.cpp.

UPS::~UPS | ( | void |  | ) |

Definition at line 186 of file UPS.cpp.

## Member Function Documentation

MSP::CCS::UPSCoordinates * UPS::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 212 of file UPS.cpp.

MSP::CCS::GeodeticCoordinates * UPS::convertToGeodetic | ( | MSP::CCS::UPSCoordinates * | upsCoordinates | ) |

Definition at line 272 of file UPS.cpp.

UPS & UPS::operator= | ( | const UPS & | u | ) |

Definition at line 196 of file UPS.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ups/UPS.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ups/UPS.cpp